Subject: Re: bug#32562: 26; `read-char(-exclusive)' and `characterp'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Sep 2018 17:04:16 +0300

> Date: Mon, 10 Sep 2018 06:43:07 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> I was asking for a function that insists on getting an event that
> satisfies `characterp', i.e., that keeps reading events until it does.

Not sure we have such a beast, but wouldn't calling read-char in a
loop until you get something that passes the 'characterp' test do?